// Shader that shows mob spawner locations by daxnitro.

uniform int renderType;

const int RENDER_TYPE_TERRAIN = 1;

bool isBlockTextureId(int id);

void main() {
	gl_Position = ftransform();

	gl_TexCoord[0] = gl_MultiTexCoord0;

	// The following number is based on the block's texture location in terrain.png.
	// It's basically row * 16 + column where row and column range from 0 to 15.
	if (renderType == RENDER_TYPE_TERRAIN && isBlockTextureId(65)) {
		// Mob Spawner
		gl_Position.z = 0.0;
		gl_FrontColor = gl_BackColor = vec4(1.0, 0.0, 0.0, 1.0);
	} else {
		gl_FrontColor = gl_BackColor = gl_Color;
	}
		
	gl_FogFragCoord = gl_Position.z;
}

bool isBlockTextureId(int id) {
	float lowS = mod(float(id), 16.0) / 16.0;
	float lowT = floor(float(id) / 16.0) / 16.0;

	float highS = lowS + 0.0624609375;
	float highT = lowT + 0.0624609375;
	
	return ((gl_TexCoord[0].s == lowS || gl_TexCoord[0].s == highS) && (gl_TexCoord[0].t == lowT || gl_TexCoord[0].t == highT));
}
